QGIS Application - Bug report #21554

query as view works in 2.14 LTR and does not in 3.4.5 LTR

2019-03-11 11:38 AM - Lee Han

Status: Closed

Priority: Normal

Assignee:

Category: Data Source Manager

Affected QGIS version:3.4.5
Operating System: W10
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution: duplicate

Copied to github as #: 29370

Description

In data source manager, the query : select distinct e.*, c.code_dept from activite.emprise e join activite.communes ¢

on st_intersects(e.geom, c.geom)
where typemp not in (‘prescrite’, 'topographiée’)

order by c.code_dept; gives the same result in Qgis 2.14 and 3.4.5.

Loading it as a view failed in Qgis 3.4.5 with the message :

File "C:/OSGeo4W/apps/qgis-Itr/./python/plugins\db_manager\dig_sql_window.py", line 396, in loadSqlLayer

layer = self._getSqlLayer(self filter)

File "C:/OSGeo4W/apps/qgis-Itr/./python/plugins\db_manager\dig_sql_window.py", line 358, in _getSqlLayer

query = self._getSqlExecutableQuery()

AttributeError: 'DigSqlWindow' object has no attribute '_getSqlExecutableQuery'

Related issues:

Duplicates QGIS Application - Bug report # 21469: Error when adding query res... Closed 2019-03-04

History

#1 - 2019-03-11 11:49 AM - Alessandro Pasotti

- Duplicates Bug report #21469: Error when adding query results via DB Manager added

#2 - 2019-03-11 11:50 AM - Giovanni Manghi
- Resolution set to duplicate

- Status changed from Open to Closed
